Loading...
Searching...
No Matches
TrimNoOps.h File Reference

Defines a lowering pass that truncates loops to the region over which they actually do something. More...

`#include "Expr.h"`

Go to the source code of this file.

## Namespaces

namespace | Halide
| This file defines the class FunctionDAG, which is our representation of a Halide pipeline, and contains methods to using Halide's bounds tools to query properties of it.
namespace | Halide::Internal

## Functions

Stmt | Halide::Internal::trim_no_ops (Stmt s)
| Truncate loop bounds to the region over which they actually do something.

## Detailed Description

Defines a lowering pass that truncates loops to the region over which they actually do something.

Definition in file TrimNoOps.h.